@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css');

:root {
    --color-white: #FFFFFF;
    --color-black: #000000;
    --color-text: #333333;
    --color-bg: #F5F5F5;
    --color-primary-rgb: var(--original-color-primary-rgb, 0, 117, 255);
    --color-primary: rgb(var(--color-primary-rgb));
    --color-primary-alpha: rgba(var(--color-primary-rgb), 0.33);
    --color-close-alpha: rgba(255, 236, 153, 0.33);
}

/* =========================================
    ページ全体
========================================= */
.fuw-facility-detail-page {
    background-color: var(--color-bg);
    padding-top: 48px;
    padding-bottom: 64px;
}

.fuw-facility-contents {
    width: 1080px;
    margin: 0 auto;
    background-color: var(--color-white);
    padding: 80px 16px 16px;
    border-radius: 8px;
}

.fuw-facility-contents-section {
    padding: 16px 0;
}

.fuw-facility-contents-title {
    font-size: 18px;
    font-weight: bold;
    padding-bottom: 8px;
    margin-bottom: 8px;
    border-bottom: 1px solid #ccc;
}

.fuw-facility-contents-description {
    font-size: 14px;
    color: var(--color-text);
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-facility-contents {
        width: 100%;
    }
}

/* =========================================
    プラン情報
========================================= */
.fuw-facility-plan {
    display: flex;
    flex-direction: column;
    padding-bottom: 8px;
    margin-bottom: 16px;
    border-bottom: 1px solid #ccc;
}

.fuw-facility-plan-title{
    color: var(--color-primary);
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 16px;
}

.fuw-facility-plan-description {
    font-size: 16px;
    margin-bottom: 8px;
}

.fuw-facility-plan-back-wrapper {
    display: flex;
    justify-content: right;
    margin-bottom: 8px;
}

.fuw-facility-plan-back {
    display: inline-block;
    width: 120px;
    padding: 8px;
    font-size: 14px;
    text-align: center;
    color: var(--color-primary);
    background-color: var(--color-white);
    border: 1px solid var(--color-primary);
    border-radius: 4px;
    cursor: pointer;
    box-sizing: border-box;
}

/* =========================================
    施設ヘッダー
========================================= */
.fuw-facility-header {
    display: flex;
    justify-content: center;
    gap: 24px;
}

/* 画像エリア */
.fuw-facility-images {
    width: 480px;
}

.fuw-facility-image-thumbs {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto auto;
    gap: 2px;
}

.fuw-facility-image-thumb {
    width: 100%;
    height: auto;
    aspect-ratio: 4 / 3;
    object-fit: cover;
    /* 正方形サムネイルに統一 */
    overflow: hidden;
    cursor: pointer;
}

.fuw-facility-image-thumb:first-child {
    grid-column: 1 / -1;
    /* 1列目から最後まで span */
}

/* オーバーレイ用 */
.fuw-facility-image-thumb-overlay {
    position: relative;
}

.fuw-facility-image-thumb-overlay .fuw-facility-image-thumb {
    filter: brightness(60%);
    /* 背景を暗くする */
}

.fuw-overlay-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    font-size: 14px;
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.6);
    white-space: nowrap;
}

/* 施設情報 */
.fuw-facility-info {
    flex: 1;
    padding: 16px 0;
}

.fuw-facility-name {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 16px;
}

.fuw-facility-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    margin-bottom: 16px;
}

.fuw-facility-tag {
    background-color: var(--color-bg);
    padding: 4px 8px;
    border-radius: 4px;
    font-size: 14px;
}

.fuw-facility-time,
.fuw-facility-price,
.fuw-facility-description {
    font-size: 16px;
    margin-bottom: 8px;
    line-height: 1;
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-facility-images {
        width: 100%;
    }

    .fuw-facility-header {
        flex-direction: column;
    }

    .fuw-facility-name {
        font-size: 20px;
    }
}

/* =========================================
    レイアウト表
========================================= */
.fuw-facility-layouts {
    display: flex;
    flex-direction: column;
}

.fuw-facility-layout-header .fuw-facility-layout-row {
    font-weight: bold;
    background-color: #ccc;
    border: none;
}

.fuw-facility-layout-header .fuw-facility-layout-data:not(:last-child) {
    border-right: 1px solid var(--color-white);
}

.fuw-facility-layout-row {
    display: grid;
    grid-template-columns: var(--col-template);
    /* Smartyで埋め込んだ値を利用 */
    border-bottom: 1px solid var(--color-bg);
    align-items: center;
    text-align: center;
    font-size: 12px;
}

.fuw-facility-layout-data {
    overflow-wrap: break-word;
    word-break: break-all;
    padding: 8px;
}

.fuw-facility-layouts img {
    max-width: 100%;
    height: auto;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-facility-layouts {
        overflow-x: auto;
    }

    .fuw-facility-layout-header {
        display: flex;
    }

    .fuw-facility-layout-data {
        width: 64px;
        max-width: unset;
        padding: 8px 4px;
    }

    .fuw-facility-layout-data.fuw-facility-layout-image,
    .fuw-facility-layout-data.fuw-facility-layout-name,
    .fuw-facility-layout-data.fuw-facility-layout-price {
        width: 96px;
        max-width: unset;
    }
}

/* =========================================
    オプション & その他
========================================= */
.fuw-facility-options,
.fuw-facility-other {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.fuw-facility-option,
.fuw-facility-other-link {
    width: calc((100% - 32px) / 5);
}

.fuw-facility-option {
    text-align: center;
}

.fuw-facility-option {
    padding: 4px 16px;
    background-color: var(--color-bg);
    border-radius: 4px;
}

.fuw-facility-other-link {
    color: var(--color-text);
}

.fuw-facility-other-image {
    width: 100%;
    height: auto;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-facility-option,
    .fuw-facility-other-link {
        width: calc((100% - 16px) / 3);
    }

    .fuw-facility-option {
        font-size: 12px;
        padding: 8px;
        line-height: 1;
    }

    .fuw-facility-other-name {
        font-size: 12px;
        line-height: normal;
    }
}

/* =========================================
    戻るボタン
========================================= */
.fuw-facility-back-to-index {
    display: block;
    width: 240px;
    padding: 8px;
    margin: 0 auto;
    font-size: 14px;
    text-align: center;
    color: var(--color-primary);
    background-color: var(--color-white);
    border: 1px solid var(--color-primary);
    border-radius: 4px;
    cursor: pointer;
    box-sizing: border-box;
}

/* =========================================
    カレンダー
========================================= */
.fuw-facility-calendar-weekdays.fuw-loading {
    position: relative;
    pointer-events: none;
    color: transparent;
}

/* ローディングオーバーレイ */
.fuw-facility-calendar-weekdays.fuw-loading::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-white);
    /* ★ 背景を白で覆う */
    opacity: 0.8;
    /* 透過度を調整（好みに応じて） */
    z-index: 5;
}

/* ローディングスピナー */
.fuw-facility-calendar-weekdays.fuw-loading::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 24px;
    height: 24px;
    margin: -12px 0 0 -12px;
    border: 3px solid rgba(0, 0, 0, 0.2);
    border-top-color: var(--color-text);
    border-radius: 50%;
    animation: spinner 0.8s linear infinite;
    z-index: 10;
}

.fuw-facility-calendar-header {
    display: flex;
    justify-content: space-between;
    padding: 16px 8px;
}

.fuw-facility-calendar-row {
    display: flex;
    justify-content: flex-start;
}

.fuw-facility-calendar-cell {
    width: calc(100% / 7);
    height: 64px;
    font-size: 16px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.fuw-facility-calendar-prev,
.fuw-facility-calendar-next {
    position: relative;
    cursor: pointer;
    background: none !important;
    border: none !important;
    font-size: 16px;
}

.fuw-facility-calendar-prev {
    margin-left: 16px;
}

.fuw-facility-calendar-next {
    margin-right: 16px;
}

.fuw-facility-calendar-prev::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 100%;
    width: 8px;
    height: 8px;
    border-left: 2px solid #333;
    border-bottom: 2px solid #333;
    transform: translateY(-50%) rotate(45deg);
}

.fuw-facility-calendar-next::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 100%;
    width: 8px;
    height: 8px;
    border-right: 2px solid #333;
    border-top: 2px solid #333;
    transform: translateY(-50%) rotate(45deg);
}

.fuw-facility-calendar-prev.fuw-disabled,
.fuw-facility-calendar-next.fuw-disabled {
    opacity: 0.5;
    pointer-events: none;
}

.fuw-facility-calendar-month {
    padding: 4px 8px;
    margin: 0 4px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 6px;
    background-color: var(--color-white);
    cursor: pointer;
}

/* 日曜 */
.fuw-facility-calendar-cell.fuw-sunday,
.fuw-modal-date-cell.fuw-sunday,
.fuw-modal-stock-column.fuw-sunday {
    color: #e53935 !important;
}

/* 土曜 */
.fuw-facility-calendar-cell.fuw-saturday,
.fuw-modal-date-cell.fuw-saturday,
.fuw-modal-stock-column.fuw-saturday {
    color: #1e88e5 !important;
}

/* 祝日 */
.fuw-facility-calendar-cell.fuw-holiday,
.fuw-modal-date-cell.fuw-holiday,
.fuw-modal-stock-column.fuw-holiday {
    color: #e53935 !important;
}

/* 過去日 */
.fuw-facility-calendar-cell.fuw-past {
    opacity: .35;
}

.fuw-facility-calendar-cell.fuw-available:hover {
    background-color: var(--color-bg);
}

/* 選択中 */
.fuw-facility-calendar-row .fuw-facility-calendar-cell.fuw-selected {
    background-color: var(--color-primary-alpha);
    border: 1px solid var(--color-primary);
    border-radius:4px;
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-facility-calendar-month,
    .fuw-facility-calendar-prev,
    .fuw-facility-calendar-next {
        font-size: 14px;
    }

    .fuw-facility-calendar-cell {
        height: 48px;
        font-size: 14px;
    }
}

/* =========================================
    枠貸しコンテナ
========================================= */
.fuw-part-container {
    margin-top: 16px;
}

.fuw-parts {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 8px;
}

.fuw-part {
    width: 100%;
    padding: 8px;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: 1px solid var(--color-primary);
    border-radius: 8px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.fuw-part:hover {
    opacity: .7;
}

.fuw-part.fuw-unavailable {
    background-color: #ccc;
    border: 1px solid #ccc;
}

.fuw-part.fuw-part-selected {
    background-color: var(--color-primary-alpha);
}

.fuw-part-reservation-info {
    font-size: 14px;
    margin-top: 16px;
    padding: 0 16px;
}

.fuw-selected-reservations-title {
    margin-bottom: 8px;
}

.fuw-part-reservations {
    display: flex;
    align-items: center;
    gap: 8px;
}

.fuw-part-selected-reservations {
    flex: 1;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.fuw-part-selected-reservation {
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.fuw-part-reservation-remove-btn {
    color: var(--color-text);
    background: none;
    font-size: 16px;
}

.fuw-part-reservation-remove-btn::before {
    font-family: "Font Awesome 6 Free";
    content: "\f00d";
    font-weight: 900;
    color: #d9534f;
    vertical-align: text-bottom;
}

.fuw-part-reservation-total {
    width: 120px;
}

.fuw-part-reservation-total-price {
    display: flex;
    flex-direction: column;
}

.fuw-part-reservation-btn-wrapper {
    width: 120px;
}

.fuw-part-reservation-btn {
    width: 100%;
    padding: 8px 16px;
    font-size: 14px;
    text-align: center;
    color: var(--color-white);
    background-color: var(--color-primary);
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-parts {
        display: flex;
        overflow-x: auto;
    }

    .fuw-part {
        font-size: 12px;
        white-space: nowrap;
    }

    .fuw-part-reservations {
        flex-wrap: wrap;
    }

    .fuw-part-selected-reservations {
        width: 100%;
        flex: none;
    }

    .fuw-part-reservation-info {
        display: none;
    }
}

/* =========================================
    モーダル全体
========================================= */
.fuw-modal-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 999998;
}

.fuw-modal {
    display: none;
    width: 960px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999999;
}

/* 閉じるボタン */
.fuw-modal-close {
    background: none;
    font-size: 24px;
    position: absolute;
    top: -32px;
    right: 0;
}

.fuw-modal-close::before {
    font-family: "Font Awesome 6 Free";
    content: "\f00d";
    font-weight: 900;
    color: var(--color-white);
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-modal {
        width: calc(100svw - 32px);
    }
}

/* =========================================
    画像モーダル
========================================= */
.fuw-image-modal-content {
    padding: 48px;
    background-color: var(--color-white);
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    position: relative;
}

.fuw-modal-image {
    width: 100%;
    height: auto;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}

.fuw-image-modal-counter {
    position: absolute;
    top: 48px;
    right: 48px;
    font-size: 14px;
    padding: 4px 8px;
    color: var(--color-white);
    background: rgba(0, 0, 0, 0.3);
}

.fuw-modal-image-caption {
    width: calc(100% - 96px);
    position: absolute;
    bottom: 48px;
    padding: 8px 16px;
    color: var(--color-white);
    background: rgba(0, 0, 0, 0.3);
}

.fuw-modal-image-prev,
.fuw-modal-image-next {
    content: "";
    z-index: 10;
    background: rgba(255, 255, 255, 0.75);
    border: none;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    position: absolute;
    transform: translateY(-25%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.fuw-modal-image-prev {
    left: 64px;
    top: 50%;
    bottom: 50%;
}

.fuw-modal-image-next {
    right: 64px;
    top: 50%;
    bottom: 50%;
}

.fuw-modal-image-prev::before,
.fuw-modal-image-next::before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    font-size: 16px;
    color: var(--color-text);
}

.fuw-modal-image-prev::before {
    content: "\f104";
}

.fuw-modal-image-next::before {
    content: "\f105";
}

/* =========================================
    タイムテーブル
========================================= */
.fuw-calendar-modal-content {
    display: flex;
    justify-content: center;
    padding: 48px;
    gap: 24px;
    background-color: var(--color-white);
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    position: relative;
}

.fuw-modal-timetable-header {
    display: flex;
    justify-content: space-between;
    padding: 16px 8px;
    font-size: 16px;
}

/* ナビゲーション矢印 */
.fuw-modal-timetable-prev,
.fuw-modal-timetable-next {
    position: relative;
    cursor: pointer;
    background: none !important;
    border: none !important;
    font-size: 16px;
}

.fuw-modal-timetable-prev {
    margin-left: 16px;
}

.fuw-modal-timetable-next {
    margin-right: 16px;
}

.fuw-modal-timetable-prev::before,
.fuw-modal-timetable-next::before {
    content: "";
    position: absolute;
    top: 50%;
    width: 8px;
    height: 8px;
    transform: translateY(-50%) rotate(45deg);
}

.fuw-modal-timetable-prev::before {
    right: 100%;
    border-left: 2px solid #333;
    border-bottom: 2px solid #333;
}

.fuw-modal-timetable-next::before {
    left: 100%;
    border-right: 2px solid #333;
    border-top: 2px solid #333;
}

.fuw-modal-timetable-prev.fuw-disabled,
.fuw-modal-timetable-next.fuw-disabled {
    opacity: 0.5;
    pointer-events: none;
}

.fuw-modal-timetable-body {
    display: flex;
    width: fit-content;
    height: 60svh;
    border-top: solid 2px #ccc;
}

.fuw-modal-timetable-body.fuw-loading {
    position: relative;
    pointer-events: none;
    color: transparent;
}

/* ローディングオーバーレイ */
.fuw-modal-timetable-body.fuw-loading::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-white);
    /* ★ 背景を白で覆う */
    opacity: 0.8;
    /* 透過度を調整（好みに応じて） */
    z-index: 5;
}

/* ローディングスピナー */
.fuw-modal-timetable-body.fuw-loading::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 24px;
    height: 24px;
    margin: -12px 0 0 -12px;
    border: 3px solid rgba(0, 0, 0, 0.2);
    border-top-color: var(--color-text);
    border-radius: 50%;
    animation: spinner 0.8s linear infinite;
    z-index: 10;
}

/* 時間カラム */
.fuw-modal-times {
    font-size: 14px;
    padding-bottom: 24px;
    background-color: #F5F5F5;
    overflow-y: scroll;
    scrollbar-width: none;
}

.fuw-modal-times::-webkit-scrollbar {
    display: none;
}

.fuw-modal-time-spacer {
    position: sticky;
    width: 64px;
    height: 32px;
    top: 0;
    z-index: 10;
    background: #f5f5f5;
}

.fuw-modal-time-spacer:before {
    content: "";
    position: absolute;
    top: -1px;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #F5F5F5;
    z-index: -1;
}

.fuw-modal-time {
    width: 64px;
    height: 32px;
    line-height: 32px;
    text-align: center;
}

/* 在庫カラム */
.fuw-modal-stock-container {
    flex: 1;
    overflow-y: scroll;
}

.fuw-modal-stock-header {
    width: 100%;
    display: flex;
    background-color: #F5F5F5;
    position: sticky;
    top: 0;
    z-index: 1;
}

.fuw-modal-stock-header:before {
    content: "";
    position: absolute;
    top: -1px;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #F5F5F5;
    z-index: -1;
}

.fuw-modal-date-cell {
    width: 64px;
    height: 48px;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.fuw-modal-stock-body {
    width: 100%;
    display: flex;
}

.fuw-modal-stock-cell {
    width: 64px;
    height: 32px;
    line-height: 32px;
    text-align: center;
    border-right: 1px solid #F5F5F5;
    border-bottom: 1px solid #F5F5F5;
}

/* 在庫状態 */
.fuw-modal-stock-cell.fuw-available {
    background-color: var(--color-white);
    cursor: pointer;
}

.fuw-modal-stock-cell.fuw-unavailable {
    background-color: #ccc;
}

/* 選択中のハイライト */
.fuw-modal-stock-cell.fuw-selecting-start {
    background-color: var(--color-primary-alpha);
    border-top: 1px dashed var(--color-primary);
    border-right: 1px dashed var(--color-primary);
    border-left: 1px dashed var(--color-primary);
}

.fuw-modal-stock-cell.fuw-selected-start {
    border-top: 1px solid var(--color-primary);
}

.fuw-modal-stock-cell.fuw-selected-range {
    background-color: var(--color-primary-alpha);
    border-right: 1px solid var(--color-primary);
    border-left: 1px solid var(--color-primary);
}

.fuw-modal-stock-cell.fuw-selected-end {
    border-bottom: 1px solid var(--color-primary);
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-modal {
        top: 35%;
        transform: translate(-50%, -35%);
    }

    .fuw-modal-timetable-header,
    .fuw-modal-timetable-prev,
    .fuw-modal-timetable-next {
        font-size: 14px;
    }

    .fuw-calendar-modal-content {
        padding: 16px;
    }

    .fuw-modal-times {
        font-size: 12px;
    }

    .fuw-modal-time-spacer,
    .fuw-modal-time {
        width: 48px;
    }

    .fuw-modal-date-cell,
    .fuw-modal-stock-cell {
        width: 32px;
        font-size: 12px;
    }
}

/* =========================================
    予約情報パネル
========================================= */
.fuw-reservation-info {
    width: 240px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    font-size: 14px;
}

.fuw-selected-reservations {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.fuw-selected-reservation {
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.fuw-reservation-remove-btn {
    color: var(--color-text);
    background: none;
    font-size: 16px;
}

.fuw-reservation-remove-btn::before {
    font-family: "Font Awesome 6 Free";
    content: "\f00d";
    font-weight: 900;
    color: #d9534f;
    vertical-align: text-bottom;
}

.fuw-reservation-total {
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: var(--color-primary);
    font-size: 16px;
}

.fuw-reservation-total-note {
    margin-top: 15px;
    font-size: 12px;
}

.fuw-reservation-btn-wrapper {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.fuw-reservation-btn {
    width: 100%;
    padding: 8px 16px;
    font-size: 14px;
    text-align: center;
    color: var(--color-white);
    background-color: var(--color-primary);
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

/* SP */
@media screen and (max-width: 768px) {
    .fuw-reservation-info {
        display: none;
    }
}

/* =========================================
    通知コンテナ
========================================= */
.fuw-alert-container {
    position: fixed;
    top: 120px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000000;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.fuw-alert {
    padding: 12px 16px;
    border-radius: 8px;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-width: 240px;
    animation: slideIn 0.3s ease-out;
}

/* 緑 */
.fuw-alert.fuw-success {
    background-color: #4caf50;
}

/* 赤 */
.fuw-alert.fuw-error {
    background-color: #f44336;
}

/* オレンジ */
.fuw-alert.fuw-warning {
    background-color: #ff9800;
}

/* 青 */
.fuw-alert.fuw-info {
    background-color: #2196f3;
}

.fuw-alert .fuw-alert-close-btn {
    background: none;
    font-size: 14px;
    margin-left: 4px;
}

.fuw-alert .fuw-alert-close-btn::before {
    font-family: "Font Awesome 6 Free";
    content: "\f00d";
    font-weight: 900;
    color: var(--color-white);
}

/* =========================================
    アニメーション
========================================= */

@keyframes spinner {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* =========================================
    SP用 予約情報
========================================= */
.floating-reservation,
.fuw-reservation-modal {
    display: none;
}

@media screen and (max-width: 768px) {
    .floating-reservation {
        display: block;
        position: fixed;
        bottom: 24px;
        right: 24px;
        width: 64px;
        height: 64px;
        border-radius: 50%;
        background-color: var(--color-primary);
        background-image: url(../../../img/mice/calendar-check.svg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: 54%;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        z-index: 1000000;
        cursor: pointer;
    }

    .floating-reservation-badge {
        position: absolute;
        top: -4px;
        right: -4px;
        background-color: #d9534f;
        color: #fff;
        font-size: 12px;
        width: 24px;
        height: 24px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: bold;
    }

    .fuw-reservation-modal {
        display: none;
        position: fixed;
        inset: 0;
        background-color: rgba(0, 0, 0, 0.4);
        z-index: 1000001;
    }

    .fuw-reservation-modal-content {
        display: flex;
        flex-direction: column;
        position: fixed;
        bottom: -40vh;
        left: 0;
        right: 0;
        background: #fff;
        padding: 16px;
        border-radius: 8px 8px 0 0;
        box-shadow: 0 -4px 12px rgba(0, 0, 0, 0.1);
        height: 40vh;
        overflow-y: auto;
        z-index: 1000002;
        transition: bottom 0.3s ease-in-out;
    }

    .fuw-reservation-modal.fuw-show {
        display: block;
    }

    .fuw-reservation-modal.fuw-show .fuw-reservation-modal-content {
        bottom: 0;
    }

    .fuw-reservation-modal-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 16px;
        font-size: 14px;
    }

    .fuw-reservation-modal-close-btn {
        background: none;
        font-size: 14px;
    }

    .fuw-reservation-modal-close-btn::before {
        font-family: "Font Awesome 6 Free";
        content: "\f00d";
        font-weight: 900;
        color: var(--color-black);
    }

    .fuw-reservation-modal-list {
        flex: 1;
        padding: 5px 8px;
        margin-bottom: 16px;
        overflow: auto;
    }

    .fuw-reservation-modal-selected {
        display: flex;
        justify-content: space-between;
        font-size: 14px;
        margin-bottom: 8px;
    }

    .fuw-reservation-modal-remove-btn {
        background: none;
        font-size: 14px;
    }

    .fuw-reservation-modal-remove-btn::before {
        font-family: "Font Awesome 6 Free";
        content: "\f00d";
        font-weight: 900;
        color: #d9534f;
        vertical-align: text-bottom;
    }

    .fuw-reservation-modal-footer {
        display: flex;
        justify-content: space-between;
    }

    .fuw-reservation-modal-total-price {
        width: calc(50% - 8px);
        display: flex;
        flex-direction: column;
        font-size: 14px;
        line-height: normal;
    }

    .fuw-reservation-modal-reserve-btn {
        width: calc(50% - 8px);
        padding: 8px 16px;
        font-size: 14px;
        text-align: center;
        color: var(--color-white);
        background-color: var(--color-primary);
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }
}
